質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.37%

pip installができない

解決済

回答 1

投稿

  • 評価
  • クリップ 1
  • VIEW 2,615

score 15

下記のサイトを参考にしてpip installをしようとしているのですが、エラーが出てできません。

https://qiita.com/doRA9876/items/05476fd9881bb3c581de

下記の画像がエラー内容です
![イメージ説明](03a40a3ada1598df9ff1eeda7bca07ac.png)

因みにPythonはアンインストール済みです

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • fiveHundred

    2019/07/28 20:37 編集

    詳しいことは分かりませんが、最新バージョンではTensorFlowSharpを使わなくなったらしいので、そのページではなく、公式ドキュメントを参照したほうがよろしいかと思います。

    キャンセル

回答 1

checkベストアンサー

0

pip install .としろと書いてあるようですが、最後のドットを入力していませんね。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2019/07/28 20:27

    pip install mlagentsを試してみた所しばらくログが流れて成功かと思いきや

    ERROR: tensorboard 1.7.0 has requirement bleach==1.5.0, but you'll have bleach 3
    .1.0 which is incompatible.

    ERROR: mlagents-envs 0.8.2 has requirement Pillow<=5.4.1,>=4.2.1, but you'll hav
    e pillow 6.1.0 which is incompatible.

    このようなエラーログが出て途中で止まってしまいました

    キャンセル

  • 2019/07/28 22:40

    bleach 3.1.0 がインストールされているが、tensorboard 1.7.0 は bleach 1.5.0 を要求する。
    次も同じようなこと。
    どちらもアンインストールしてから、要求されているバージョンを再インストールしてください。

    キャンセル

  • 2019/07/30 21:58

    pip uninstall bleach 3.1.0
    pip uninstall pillow 6.1.0

    pip install bleach==1.5.0
    pip install pillow==5.4.1

    でpip installはできましたが、RollerAcademyを作成する時using MLAgents;に赤線が出て
    使えなかったので情報の新しいこちらのサイトを参考にし
    https://www.fast-system.jp/unity-ml-agents-version-0-8-0-howto/
    こちらの手順で進めて行ったのですが、tensorflowが1.6以上だとAVX命令が使えない古いCPUで
    動作できないらしいのでこちらをpip install tensorflow==1.5.0にしmlagents-learn config/trainer
    _config.yaml --run-id=firstRun --trainを実行した所このようなエラーが発生しました
    (ml-agents) C:\Users\user\Desktop\ml-agents-master>mlagents-learn config/trainer
    _config.yaml --run-id=firstRun --train
    Traceback (most recent call last):
    File "c:\users\user\anaconda3\envs\ml-agents\lib\runpy.py", line 193, in _run_
    module_as_main
    "__main__", mod_spec)
    File "c:\users\user\anaconda3\envs\ml-agents\lib\runpy.py", line 85, in _run_c
    ode
    exec(code, run_globals)
    File "C:\Users\user\Anaconda3\envs\ml-agents\Scripts\mlagents-learn.exe\__main
    __.py", line 5, in <module>
    File "c:\users\user\anaconda3\envs\ml-agents\lib\site-packages\mlagents\traine
    rs\__init__.py", line 2, in <module>
    from .buffer import *
    File "c:\users\user\anaconda3\envs\ml-agents\lib\site-packages\mlagents\traine
    rs\buffer.py", line 3, in <module>
    from mlagents.envs.exception import UnityException
    ModuleNotFoundError: No module named 'mlagents.envs.exception'

    (ml-agents) C:\Users\user\Desktop\ml-agents-master>

    pip listは下記の通りです

    Package Version
    ---------------------- ---------
    absl-py 0.7.1
    astor 0.8.0
    atomicwrites 1.3.0
    attrs 19.1.0
    backcall 0.1.0
    bleach 1.5.0
    certifi 2019.6.16
    cloudpickle 0.8.1
    colorama 0.4.1
    cycler 0.10.0
    decorator 4.4.0
    defusedxml 0.6.0
    docopt 0.6.2
    entrypoints 0.3
    gast 0.2.2
    grpcio 1.11.1
    html5lib 0.9999999
    importlib-metadata 0.19
    ipykernel 5.1.1
    ipython 7.7.0
    ipython-genutils 0.2.0
    ipywidgets 7.5.0
    jedi 0.14.1
    Jinja2 2.10.1
    jsonschema 3.0.1
    jupyter 1.0.0
    jupyter-client 5.3.1
    jupyter-console 6.0.0
    jupyter-core 4.5.0
    kiwisolver 1.1.0
    Markdown 3.1.1
    MarkupSafe 1.1.1
    matplotlib 3.1.1
    mistune 0.8.4
    mlagents 0.8.2
    mlagents-envs 0.8.2
    more-itertools 7.2.0
    nbconvert 5.5.0
    nbformat 4.4.0
    notebook 6.0.0
    numpy 1.14.5
    pandocfilters 1.4.2
    parso 0.5.1
    pickleshare 0.7.5
    Pillow 5.4.1
    pip 19.1.1
    pluggy 0.12.0
    prometheus-client 0.7.1
    prompt-toolkit 2.0.9
    protobuf 3.6.1
    py 1.8.0
    Pygments 2.4.2
    pyparsing 2.4.1.1
    pypiwin32 223
    pyrsistent 0.15.4
    pytest 3.10.1
    python-dateutil 2.8.0
    pywin32 224
    pywinpty 0.5.5
    PyYAML 5.1.1
    pyzmq 18.0.2
    qtconsole 4.5.2
    Send2Trash 1.5.0
    setuptools 41.0.1
    six 1.12.0
    tensorboard 1.7.0
    tensorflow 1.5.0
    tensorflow-tensorboard 1.5.1
    termcolor 1.1.0
    terminado 0.8.2
    testpath 0.4.2
    tornado 6.0.3
    traitlets 4.3.2
    wcwidth 0.1.7
    Werkzeug 0.15.5
    wheel 0.33.4
    widgetsnbextension 3.5.0
    wincertstore 0.2
    zipp 0.5.2

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.37%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る